import TOARII_ontology
help(TOARII_ontology)
onto=TOARII_ontology.TOAR_Ontology('TOAR-Ontology-TimeZone-CountryCode.owl')
help(onto)
onto.print()
onto.print(format="turtle")
onto.print(format='application/rdf+xml')
dlclass=onto.get_class('Station Dominant Landcover Type')
onto.show_class_definition(dlclass)
onto.show_entries(dlclass)
onto.check_entry('Croplands',dlclass)
onto.check_entry('Craplands',dlclass)
czclass=onto.get_class('Climatic Zone')
onto.show_class_definition(czclass)
onto.show_entries(czclass)
onto.check_entry('PolarMoist',czclass)
onto.check_entry('PolarWet',czclass)
ccclass=onto.get_class('Country Code')
ccclass=onto.get_class('Country Code')
onto.show_class_definition(ccclass)
onto.show_entries(ccclass)
onto.check_entry('DE',ccclass)
onto.check_entry('BE',ccclass)
#highest index of NamedInvidual is 194
#==> start counting from here
onto.add_entry(ccclass,195,'TZ','United Republic of Tanzania')
onto.add_entry(ccclass,196,'SX', 'Sint Maarten (Dutch part)')
onto.add_entry(ccclass,197,'BE', 'Belgium')
onto.check_entry('BE',ccclass)
onto.show_entries(ccclass)
onto.save('TOAR-Ontology-TimeZone-CountryCode_20210128.owl')
